import { redirect } from "next/navigation";

import { getCurrent } from "@/features/auth/queries";
import { MembersPageClient } from "./client";

const WorkspaceIdMembersPage = async () => {
  const user = await getCurrent();
  if (!user) redirect("/sign-in");

  return (
    <div className="w-full lg:max-w-xl">
      <MembersPageClient />
    </div>
  );
};

export default WorkspaceIdMembersPage;
